package com.jeequan.jeepay.core.model.rqrs.payorder.payway;

import com.jeequan.jeepay.core.constants.CS;
import com.jeequan.jeepay.core.model.rqrs.payorder.UnifiedOrderRQ;
import lombok.Data;

/*
 * 支付方式： AUTO_POS
 *
 * @author terrfly
 *
 * @date 2021/6/8 17:34
 */
@Data
public class AutoPosOrderRQ extends UnifiedOrderRQ {

    /** 支付渠道，银行卡：CARD， 扫一扫：SCAN， 付款码：QRCODE **/
    private String channelType;

    /** 支付方式，参考CS.PAY_WAY_CODE_TYPE  **/
    private String payType;

    /** 构造函数 **/
    public AutoPosOrderRQ(){
        this.setWayCode(CS.PAY_WAY_CODE.AUTO_POS);
    }

    /** 构造函数 **/
    public AutoPosOrderRQ(String channelType, String payType) {
        this.channelType = channelType;
        this.payType = payType;
    }

    /** 构造函数 **/
    public static AutoPosOrderRQ getDefaultAutoPosOrderRQ(){
           return new AutoPosOrderRQ("CARD", "UNIONPAY");
    }

}
